package test.org.seasar.extension.tx;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class TxAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(TxAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.extension.tx");
		//$JUnit-BEGIN$
		suite.addTest(AbstractTxInterceptorTest.suite());
		suite.addTest(MandatoryInterceptorTest.suite());
		suite.addTest(RequiredInterceptorTest.suite());
		suite.addTest(RequiresNewInterceptorTest.suite());
		suite.addTest(NotSupportedInterceptorTest.suite());
		suite.addTest(TxJ2EEConfigTest.suite());
		suite.addTest(TxEJBConfigTest.suite());
		//$JUnit-END$
		return suite;
	}
}
